> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/75.-mutacao-gerar-equationmap-de-forma-assincrona.md).

# 75. Mutação: gerar EquationMap de forma assíncrona

## Visão geral

Gerar "EquationMap" para o "Field" de forma assíncrona.

{% hint style="info" %}
A abordagem assíncrona coloca uma tarefa (Gerar "`generateEquationMap`") para processar e a Assinatura será recebida assim que o processamento for concluído.
{% endhint %}

## Camadas de Dados Suportadas

EquationMaps podem ser executados em qualquer camada de dados disponível no GeoPard, incluindo Imagens de Satélite, Conjuntos de Dados de Solo, Conjuntos de Dados de Rendimento, Conjuntos de Dados As-Applied, Topografia, Mapas de Zonas e até outros EquationMaps. O formato de `dataVariables` entrada variará dependendo da camada de dados selecionada.

```graphql
dataVariables: [
  # YieldDataset
  {
    variable: "yield_variable"
    yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
    yieldAttribute: "<placeholder_of_yielddataset_attribute>"
  }, 
  
  # SoilDataset
  {
    variable: "soil_variable"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
    soilAttribute: "<placeholder_of_soildataset_attribute>"
  },
  
  # AsAppliedDataset
  {
    variable: "asapplied_variable"
    asAppliedDatasetUuid: "<placeholder_of_asapplieddataset_uuid>"
    asAppliedAttribute: "<placeholder_of_asapplieddataset_attribute>"
  },
  
  # SatelliteImage
  {
    variable: "satelliteimage_variable"
    satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]
    index: "<placeholder_of_satelliteimage_vegetation_index>"
  },
  
  # TopographyMap
  {
    variable: "topography_variable"
    topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    topographyAttribute: "<placeholder_of_topography_attribute>"
  },
  
  # EquationMap
  {
    variable: "equationmap_variable"
    equationMapUuid: "<placeholder_of_equationmap_uuid>"
  },
  
  # ZonesMap (VectorAnalysisMap)
  {
    variable: "zonesmap_variable"
    vectorAnalysisMapUuid: "<placeholder_of_zonesmap_uuid>"
  }
]
```

## Exemplo

<pre class="language-graphql" data-overflow="wrap" data-line-numbers><code class="lang-graphql">mutation GenerateEquationMap {
  generateEquationMapAsync(input: {
    fieldUuid: "&#x3C;placeholder_of_field_uuid>"
    gridPixelSizeX: <a data-footnote-ref href="#user-content-fn-1">30</a>
    gridPixelSizeY: <a data-footnote-ref href="#user-content-fn-1">30</a>
    type: FERTILIZING
    equationAsText:"""calculated = yield_vol/prod + 0.5
if calculated >= 9:
    result = 35
elif calculated >=5  and calculated &#x3C; 9:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
    dataVariables: [{
      variable: "yield_vol"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Yld_Vol_We"
    }, {
      variable: "prod"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Prod_ac_h_"
    }]
  }) {
    uuid
    fieldUuid
    statusCode
  }
}
</code></pre>

[^1]: coloque qualquer tamanho de pixel em metros aqui


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-solicitacoes-da-api-geopard/75.-mutacao-gerar-equationmap-de-forma-assincrona.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
